WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] Getting php warning (4 posts)

  1. focolibre
    Member
    Posted 6 years ago #

    Hello guys, I'm having some trouble...
    I've installed WP 2.5.1 into my server, installation was fine.
    But since when I first ran WordPress, I'm getting the following message at the header of every page:

    Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, 'wp_cron' was given in /home/a6252111/public_html/wp-includes/plugin.php on line 311

    Well, I really don't know what this could be, but I'd be very pleased if I could solve it.

    Note: I'm using the same webhost to run another blog with WP 2.5, and it runs perfectly.

    Thanks in advance.

  2. Cuco1981
    Member
    Posted 6 years ago #

    I recieved the same warning. Disabling all my plugins did not help anything and I could also not access the widgets administration page.

    I took a look at cron.php file in /wp-includes/ and found it to be empty! A quick upload of the cron.php file fixed everything.

    In other words, check if there was an FTP error when you uploaded the cron.php file to /wp-includes/.

  3. focolibre
    Member
    Posted 6 years ago #

    Bingo!!!

    Thank you very much for the support! Problem solved.

  4. Cuco1981
    Member
    Posted 6 years ago #

    You're welcome.

    I should add that my problem with accessing the widgets administration page was caused by an empty widgets.php in /wp-admin/ and unrelated to the wp-cron problem. Again, uploading the file (widgets.php) resolved the problem.

Topic Closed

This topic has been closed to new replies.

About this Topic